13 luk w Adobe

Firma Adobe udostępniła poprawki usuwające 13 groźnych luk w oprogramowaniu tej firmy. Są to kolejne łaty wydane w ostatnim czasie. Niedawno jak pisaliśmy w naszym serwisie Adobe naprawiła czytniki plików PDF.

Większość z naprawianych za pomocą wydanego update błędów w oprogramowaniu dotyczy przepełnienia sterty oraz nadpisania pamięci w filtrze JBIG2, pozostałe dotyczą kwestii przepełnienia stosu. Użytkownicy programów Acrobat i Reader z serii 9 powinni je zaktualizować do wersji 9.1.2. Dla serii 8 powinni zaktualizować software do wersji 8.1.6, z serii 7 do 7.1.3.

Opisywane poprawki dotyczą tylko systemów MS Windows i Mac OS X. 16 czerwca podobne łaty będą dostępne dla Linuxa.

Flex Builder

Adobe przygotowało ciekawą ofertę dla wszystkich programistów. Każdy kto udowodni, że jeszcze niedawno pracował w swoim zawodzie i został zwolniony otrzyma bezpłatną kopię programu Adobe Flex Builder.

Adobe Flex Builder to zintegrowane środowisko programistyczne dla języka Flex, który został zaprojektowany do tworzenia aplikacji WWW zawierających dużą ilość informacji wizualnych. Programy buduje się z części pisanych w języku znaczników MXML.

Program AFB może otrzymać każdy programista z dowolnego kraju na całym świecie. Wystarczy skontaktować się z przedstawicielem Adobe, przedstawić aktualną sytuację i opisać swoje doświadczenie zawodowe związane z programowaniem. Po weryfikacji danych, kopia aplikacji zostanie przesłana do odpowiedniej osoby. W zestawie z Adobe Flex Builder programiści otrzymają również specjalną instrukcję pomocną w nauce obsługi programu.

Dobra wiadomość jest taka, że po znalezieniu pracy nie trzeba oddawać darmowego Adobe Flex Builder. Nauka środowiska programistycznego Flex może być kontynuowana przy pomocy bezpłatnej wersji aplikacji

Czytnik PDF wreszcie bezpieczny – łatka

AdobeFirma Adobe dzisiaj po dość długim oczekiwaniu wydała zapowiadaną łatkę na ich produkt czyli Reader oraz Acrobacie. Luka była niebezpieczna, bo dotyczyła najpopularniejszego czytnika plików PDF.

Poważne błędy były dwa. Pierwszy miał miejsce w metodzie doc.getAnnots() udostępnianej przez API JavaScript, drugi zaś w metodzie spell.customDictionaryOpen (Unix).

Jak pozbyć się problemu? Konieczne jest zainstalowanie 9.1.1. Ci co mają wersję 8 zobowiązani są na przejście do wersji 8.1.5. Użytkownicy wersji 7 do 7.1.2, wersji 9.1.1  do 8.1.5 i 7.1.2.